All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish.alerts
Class SMTPServerInfo

    com.sas.services.publish.alerts.SMTPServerInfo

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class SMTPServerInfo

Represents all the information needed to connect to a SMTP mail server.

Since:
  1.1.4

Constructor Summary
`SMTPServerInfo(java.lang.String host, int port, java.lang.String user, java.lang.String password)`

Method Summary
`java.lang.String` | `getHost()` Return the host for the SMTP server.
`java.lang.String` | `getPassword()` Return the password to use when binding to the SMTP server.
`int` | `getPort()` Return the port for the SMTP server.
`java.lang.String` | `getUser()` Return the user name to use when binding to the SMTP server.

Constructor Detail

### SMTPServerInfo

    public SMTPServerInfo(java.lang.String host,
                          int port,
                          java.lang.String user,
                          java.lang.String password)

Parameters:
  `host` - the SMTP server.
  `port` - the port of the SMTP server.
  `user` - the user name to use when binding to the SMTP server.
  `password` - the password to use when binding to the SMTP server

Method Detail

### getHost

    public java.lang.String getHost()

  Return the host for the SMTP server.

  Returns:
    the SMTP host

### getPort

    public int getPort()

  Return the port for the SMTP server.

  Returns:
    the port of the SMTP server

### getUser

    public java.lang.String getUser()

  Return the user name to use when binding to the SMTP server.

  Returns:
    the user name

### getPassword

    public java.lang.String getPassword()

  Return the password to use when binding to the SMTP server.

  Returns:
    the password

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.